'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inputItem = require('antd-mobile/lib/input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/input-item/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./CardItem.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardItem = function (_Component) {
  (0, _inherits3.default)(CardItem, _Component);

  function CardItem(props) {
    (0, _classCallCheck3.default)(this, CardItem);
    return (0, _possibleConstructorReturn3.default)(this, (CardItem.__proto__ || Object.getPrototypeOf(CardItem)).call(this, props));
  }

  (0, _createClass3.default)(CardItem, [{
    key: 'getAlignClass',
    value: function getAlignClass() {
      var align = this.props.align;

      switch (align) {
        case 'center':
          return 'zk_carditem_center';
        case 'justify':
          return 'zk_carditem_justify';
        default:
          return 'zk_carditem';
      }
    }
  }, {
    key: 'getNewValue',
    value: function getNewValue() {
      var _props = this.props,
          value = _props.value,
          unit = _props.unit,
          unitPosition = _props.unitPosition;

      if (!unit || unit === '' || !unitPosition || unitPosition === 'left') {
        return value;
      }
      if (!unitPosition || unitPosition === 'right') {
        return '' + value + unit;
      }
    }
  }, {
    key: 'getNewLabel',
    value: function getNewLabel() {
      var _props2 = this.props,
          label = _props2.label,
          unit = _props2.unit,
          unitPosition = _props2.unitPosition;

      if (!unit || unit === '' || !unitPosition || unitPosition === 'right') {
        return label;
      }
      if (!unitPosition || unitPosition === 'left') {
        return _react2.default.createElement(
          'span',
          null,
          label,
          _react2.default.createElement(
            'span',
            { className: 'zk_carditem-uint' },
            '\uFF08',
            unit,
            '\uFF09'
          )
        );
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var label = this.props.label;

      var newLabel = this.getNewLabel();
      var newValue = this.getNewValue();
      return _react2.default.createElement(
        _inputItem2.default,
        (0, _extends3.default)({}, this.props, {
          labelNumber: 7,
          key: label,
          className: this.getAlignClass(),
          value: newValue,
          editable: false
        }),
        newLabel
      );
    }
  }]);
  return CardItem;
}(_react.Component); /* card子项 */


CardItem.propTypes = {
  label: _propTypes2.default.string,
  value: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string]),
  align: _propTypes2.default.string,
  unit: _propTypes2.default.string,
  unitPosition: _propTypes2.default.string
};

exports.default = CardItem;
//# sourceMappingURL=CardItem.js.map