'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./TipPage.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var building = require('./images/building.png');
var noData = require('./images/no-data.png');

var Bg = function (_Component) {
  (0, _inherits3.default)(Bg, _Component);

  function Bg() {
    (0, _classCallCheck3.default)(this, Bg);
    return (0, _possibleConstructorReturn3.default)(this, (Bg.__proto__ || Object.getPrototypeOf(Bg)).apply(this, arguments));
  }

  (0, _createClass3.default)(Bg, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          info = _props.info,
          icon = _props.icon;

      return _react2.default.createElement(
        'div',
        { className: 'zk_bg_tip' },
        _react2.default.createElement('img', { src: icon }),
        _react2.default.createElement(
          'p',
          null,
          info
        )
      );
    }
  }]);
  return Bg;
}(_react.Component);

var TipPage = function (_Component2) {
  (0, _inherits3.default)(TipPage, _Component2);

  function TipPage() {
    (0, _classCallCheck3.default)(this, TipPage);
    return (0, _possibleConstructorReturn3.default)(this, (TipPage.__proto__ || Object.getPrototypeOf(TipPage)).apply(this, arguments));
  }

  (0, _createClass3.default)(TipPage, [{
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          info = _props2.info,
          type = _props2.type,
          icon = _props2.icon;

      if (icon) {
        return _react2.default.createElement(Bg, { icon: icon, info: info });
      }
      if (type === 'building') {
        return _react2.default.createElement(Bg, { icon: building, info: info });
      }

      return _react2.default.createElement(Bg, { icon: noData, info: info });
    }
  }]);
  return TipPage;
}(_react.Component);

TipPage.propTypes = {
  icon: _propTypes2.default.string,
  type: _propTypes2.default.string,
  info: _propTypes2.default.string
};

exports.default = TipPage;
//# sourceMappingURL=TipPage.js.map