import React, {Component} from "react";
import {Toast} from "antd-mobile";
import AttUtil from "../AttUtil/AttUtil";
import {cameraIcon} from "../images/icon";

class Camera extends Component {

  //获取相册图片
  getPicByCamera = () => {
    const {onClick, picNum, picMaxNum} = this.props;
    const picMax = picMaxNum || AttUtil.PIC_MAX_NUM;
    if (picNum >= picMax) {
      Toast.info(`图片最多上传${picMax}张`, AttUtil.TOAST_DURATION);
      return
    }
    AttUtil.capturePicByCamera(
      (picData) => {
        onClick ? onClick(picData) : '';
      }
    )
  };

  render() {
    return <img onClick={() => {
      this.getPicByCamera()
    }} src={cameraIcon} alt={'拍照'}/>
  }
}

export default Camera;
